Bug 216621

Summary: databases/cegobridge: fails to build with clang 4.0
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: Kurt Jaeger <pi>
Status: Closed FIXED    
Severity: Affects Only Me Keywords: needs-patch
Priority: --- Flags: bugzilla: maintainer-feedback? (pi)
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216075
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216074
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216072
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216016
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=215861
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216015
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216046
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216051
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216052
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216056
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216058
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216019
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216159
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216176
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216194
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216197
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216198
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216199
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216200
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216203
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216206
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216211
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216213
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216214
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216215
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216216
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216217
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216218
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216221
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216222
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216227
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216228
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216233
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216234
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216235
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216253
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216354
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216355
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216356
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216357
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216358
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216076
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216615
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216617
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216618
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216619
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216620
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216622
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216623
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216624
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216626
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216632
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216629
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216631
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216630
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216627
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216633
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216634
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216635
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216636
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216637
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216638
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216639
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216640
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216641
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216642
Bug Depends on:    
Bug Blocks: 216008    

Description Jan Beich freebsd_committer 2017-01-30 22:29:49 UTC
MySQLAction.cc:253:14: error: ordered comparison between pointer and zero ('char *' and 'int')
    if ( _pC > 0 )
         ~~~ ^ ~

build log: http://package18.nyi.freebsd.org/data/headamd64PR216008-default/2017-01-29_16h09m05s/logs/errors/cegobridge-1.1.2.log
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 commit-hook freebsd_committer 2017-03-05 11:09:30 UTC
A commit references this bug:

Author: pi
Date: Sun Mar  5 11:08:51 UTC 2017
New revision: 435469
URL: https://svnweb.freebsd.org/changeset/ports/435469

Log:
  devel/lfcbase: update 1.8.12 -> 1.9.0
  databases/cego: update 2.32.8 -> 2.32.11
  databases/cegobridge: update 1.1.2 -> 1.1.3, fix build with clang 4.0

  devel/lfcbase:
  - Added Monitor class for ncurses based GUI utility implementation.
    This class provides GUI layout and event handling to simply ncurses
    based GUI tool implementaton.
  - Added class Pager for curses based pager implementation

  databases/cego:
  - Include stdlib.h added in CegoNet ( still missing forLinux compiles )
  - Added CegoFieldValue::getDim method required for arithmetic operations
    on fixed values
  - Fix in CegoTableManager::getPoolInfo, readdelay and writedelay was
    not calculated correctly
  - Fix in CegoDistManager::stopDistTableSet, removing of btree objects
    from database object dictionary was still missing
  - In CegoTableManager::dropTableSet now also counter objects are
    dropped ( stored in the database xml file ).
  - Added some sizing optimizations for CegoAdmMon forms
  - Fix in CegoRecoveryManager::recoverCurrentTransactionLog, added
    the force option to addCounter method, since counters already could
    be synched to xml ( not completely transaction save )
  - Online index build up tested and verified. First tests with heavy
    insert operations ( using cgblow ) during index build went succesful.
  - Improvements for CegoAdmMon role permission handling, added remove
    permission option
  - Preparation of CegoObjectCursor and CegoTableManager to support
    online index rebuild with write access to the table.
    For this, concurrent insert operations have to be performed with
    append =true. The ObjectCursor locks the last page until the index
    rebuild is finished ( method setLastPageSync )
    In this way, the index can be build up in parallel, while further
    tuples could be appended to the table. ( just supported for btree
    index objects )

  PR:		216621
  Submitted by:	Bjoern Lemke <lemke@lemke-it.com>
  Reported by:	jbeich

Changes:
  head/databases/cego/Makefile
  head/databases/cego/distinfo
  head/databases/cegobridge/Makefile
  head/databases/cegobridge/distinfo
  head/devel/lfcbase/Makefile
  head/devel/lfcbase/distinfo
  head/devel/lfcbase/pkg-plist
Comment 2 Kurt Jaeger freebsd_committer 2017-03-05 11:10:00 UTC
Fixed, thanks!